<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorSelect: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-colorselector.html" title="Part IV. GIMP Color Selectors">
<link rel="prev" href="GimpColorScales.html" title="GimpColorScales">
<link rel="next" href="libgimpwidgets-controller.html" title="Part V. GIMP Controllers">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorSelect.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorSelect.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorSelect.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-colorselector.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorScales.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimpwidgets-controller.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorSelect"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorSelect.top_of_page"></a>GimpColorSelect</span></h2>
<p>GimpColorSelect — A <a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a> implementation.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorSelect.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorSelect.html#GimpColorSelect-struct" title="GimpColorSelect">GimpColorSelect</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorSelect.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a class="link" href="GimpColorSelector.html" title="GimpColorSelector">GimpColorSelector</a>
                            <span class="lineart">╰──</span> GimpColorSelect
</pre>
</div>
<div class="refsect1">
<a name="GimpColorSelect.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorSelect implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorSelect.description"></a><h2>Description</h2>
<p>The <a class="link" href="GimpColorSelect.html" title="GimpColorSelect"><span class="type">GimpColorSelect</span></a> widget is an implementation of a
<a class="link" href="GimpColorSelector.html" title="GimpColorSelector"><span class="type">GimpColorSelector</span></a>. It shows a square area that supports
interactively changing two color channels and a smaller area to
change the third channel. You can select which channel should be
the third by calling <a class="link" href="GimpColorSelector.html#gimp-color-selector-set-channel" title="gimp_color_selector_set_channel ()"><code class="function">gimp_color_selector_set_channel()</code></a>. The widget
will then change the other two channels accordingly.</p>
</div>
<div class="refsect1">
<a name="GimpColorSelect.functions_details"></a><h2>Functions</h2>
<p></p>
</div>
<div class="refsect1">
<a name="GimpColorSelect.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorSelect-struct"></a><h3>GimpColorSelect</h3>
<pre class="programlisting">typedef struct _GimpColorSelect GimpColorSelect;</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>